package com.muyu.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author DongZl
 * @description: 车辆选择轨迹
 * @Date 2023-11-27 上午 11:04
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CheckPositionReq {

    /**
     * VIN
     */
    private String vin;

    /**
     * 轨迹标签
     */
    private String positionCode;
}
