package com.muyu.service;

import com.muyu.domain.resp.UnifiedTaskResp;

/**
 * @author Saisai.Liu
 * @version 1.0
 * @description 一键设置业务层
 * @date 2023/12/6
 */
public interface VehicleUnifiedService {



    /**
     * 一键上线
     */
    public void unifiedOnline();

    /**
     * 一键离线
     */
    public void unifiedOffline();

    /**
     * 一键上报
     */
    public void unifiedSend();

    /**
     * 一键重置路径
     */
    void unifiedPosition ();

    /**
     * 一键取消上报
     */
    public void unifiedStop();

    /**
     * 一键执行状态
     * @return 一键执行状态
     */
    UnifiedTaskResp unifiedStatus();
}
