package com.muyu.common;

import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * @author Saisai.Liu
 * @version 1.0
 * @description 系统常量
 * @date 2023/11/15
 */
public class SystemConstant {

    /**
     * 百公里电耗
     */
    public final static BigDecimal powerConsumption = new BigDecimal(10000);

    public final static BigDecimal hundredKilometers = new BigDecimal(100);

    /**
     * 报文起始位
     */
    public static final String MSG_START = "7E ";

    /**
     * 报文结束位
     */
    public static final String MSG_END = "7E";
}
